Name:           dput-ng
Version:        1.28
Release:        1%{?dist}
Summary:        Next generation Debian package upload tool

BuildArch:      noarch
License:        GPLv2+
URL:            http://packages.debian.org/sid/%{name}
Source0:        http://ftp.de.debian.org/debian/pool/main/d/%{name}/%{name}_%{version}.tar.xz

BuildRequires:  python3-devel
BuildRequires:  python3-debian
BuildRequires:  python3-paramiko
BuildRequires:  python3-setuptools
BuildRequires:  python3-sphinx

Requires:       bash-completion
Requires:       python3-debian
Requires:       python3-paramiko

%description
dput-ng is a Debian package upload tool which provides an easy to use interface
to Debian (like) package archive hosting facilities. It allows anyone who works
with Debian packages to upload their work to a remote service, including
Debian's ftp-master, mentors.debian.net, Launchpad or other package hosting
facilities for Debian package maintainers.

dput-ng features many enhancements over dput, such as more comprehensive
checks, an easy to use plugin system, and code designed to handle the numerous
archives that any Debian package hacker will interact with.

dput-ng aims to be backwards compatible with dput in command-line flags,
configuration files, and expected behavior.


%package doc
Summary:        Documentation for %{name}
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}

%description doc
Documentation for %{name}.


%prep
%autosetup -p1 -n %{name}-%{version}


%build
%{__python3} setup.py build
make -C docs html


%install
%{__python3} setup.py install -O1 --skip-build --root=%{buildroot}

install -Dd %{buildroot}%{_bindir}
install -p -m755 bin/{dput,dcut,dirt} %{buildroot}%{_bindir}

install -Dp -m644 skel/README %{buildroot}%{_sysconfdir}/dput.d/README
for _dir in metas profiles; do
    install -Dd %{buildroot}%{_sysconfdir}/dput.d/${_dir}
    install -p -m644 skel/$_dir/* %{buildroot}%{_sysconfdir}/dput.d/${_dir}
done


for _dir in codenames commands hooks interfaces schemas uploaders; do
    install -Dd %{buildroot}%{_datadir}/%{name}/${_dir}
    install -p -m644 skel/${_dir}/* %{buildroot}%{_datadir}/%{name}/${_dir}
done

install -Dd %{buildroot}%{_datadir}/bash-completion/completions/
install -p -m644 debian/dcut-completion %{buildroot}%{_datadir}/bash-completion/completions/dcut
install -p -m644 debian/dput-completion %{buildroot}%{_datadir}/bash-completion/completions/dput

install -Dd %{buildroot}%{_mandir}/man1/
install -pm 0644 docs/man/{dcut,dirt,dput}.1.man %{buildroot}%{_mandir}/man1/
install -Dd %{buildroot}%{_mandir}/man5/
install -Dpm 0644 docs/man/{dput,dput.cf}.5.man %{buildroot}%{_mandir}/man5/


%files
%license LICENSE
%doc AUTHORS FAQ README.md TODO examples
%dir %{_sysconfdir}/dput.d/
%{_sysconfdir}/dput.d/README
%dir %{_sysconfdir}/dput.d/metas
%dir %{_sysconfdir}/dput.d/profiles
%config(noreplace) %{_sysconfdir}/dput.d/metas/*
%config(noreplace) %{_sysconfdir}/dput.d/profiles/*
%{_bindir}/dcut
%{_bindir}/dirt
%{_bindir}/dput
%{_datadir}/bash-completion/completions/dcut
%{_datadir}/bash-completion/completions/dput
%{_datadir}/%{name}/
%{_mandir}/man1/dcut.1*
%{_mandir}/man1/dirt.1*
%{_mandir}/man1/dput.1*
%{_mandir}/man5/dput.5*
%{_mandir}/man5/dput.cf.5*
%{python3_sitelib}/dput/
%{python3_sitelib}/dput-%{version}*.egg-info/

%files doc
%doc docs/_build/html/


%changelog
* Wed Aug 07 2019 Sandro Mani <manisandro@gmail.com> - 1.28-1
- Initial package
